• Русский
  • Description
    LoadBalancer is the Schema for the loadbalancers API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    LoadBalancerSpec defines the desired state of LoadBalancer

    statusobject

    LoadBalancerStatus defines the observed state of LoadBalancer

    .spec

    Description
    LoadBalancerSpec defines the desired state of LoadBalancer
    Type
    object
    PropertyTypeDescription
    consistentHashobject

    Consistent Hash-based load balancing can be used to provide soft session affinity based on HTTP headers, cookies or other properties. This load balancing policy is applicable only for HTTP connections. The affinity to a particular destination host will be lost when one or more hosts are added/removed from the destination service.

    hoststring
    localityLbSettingobject

    Optional: only one of distribute or failover can be set. Explicitly specify loadbalancing weight across different zones and geographical locations. Refer to Locality weighted load balancing If empty, the locality weight is set according to the endpoints number within it.

    simplestring

    Standard load balancing algorithms that require no tuning.

    .spec.consistentHash

    Description
    Consistent Hash-based load balancing can be used to provide soft session affinity based on HTTP headers, cookies or other properties. This load balancing policy is applicable only for HTTP connections. The affinity to a particular destination host will be lost when one or more hosts are added/removed from the destination service.
    Type
    object
    PropertyTypeDescription
    httpCookieobject

    Hash based on HTTP cookie.

    httpHeaderNamestring

    Hash based on a specific HTTP header.

    minimumRingSizeinteger

    The minimum number of virtual nodes to use for the hash ring. Defaults to 1024. Larger ring sizes result in more granular load distributions. If the number of hosts in the load balancing pool is larger than the ring size, each host will be assigned a single virtual node.

    useSourceIpboolean

    Hash based on the source IP address.

    .spec.consistentHash.httpCookie

    Description
    Hash based on HTTP cookie.
    Type
    object
    PropertyTypeDescription
    namestring

    Name of the cookie.

    pathstring

    Path to set for the cookie.

    ttlstring

    Lifetime of the cookie.

    .spec.localityLbSetting

    Description
    Optional: only one of distribute or failover can be set. Explicitly specify loadbalancing weight across different zones and geographical locations. Refer to [Locality weighted load balancing](https://www.envoyproxy.io/docs/envoy/latest/intro/arch_overview/upstream/load_balancing/locality_weight) If empty, the locality weight is set according to the endpoints number within it.
    Type
    object
    Required
    enabled
    PropertyTypeDescription
    distributearray
    enabledboolean
    failoverarray

    .spec.localityLbSetting.distribute

    Type
    array

    .spec.localityLbSetting.distribute[]

    Type
    object
    PropertyTypeDescription
    fromstring

    Originating locality, '/' separated, e.g. 'region/zone/sub_zone'.

    toobject

    Map of upstream localities to traffic distribution weights. The sum of all weights should be 100. Any locality not present will receive no traffic.

    .spec.localityLbSetting.distribute[].to

    Description
    Map of upstream localities to traffic distribution weights. The sum of all weights should be 100. Any locality not present will receive no traffic.
    Type
    object

    .spec.localityLbSetting.failover

    Type
    array

    .spec.localityLbSetting.failover[]

    Type
    object
    PropertyTypeDescription
    fromstring

    Originating region.

    tostring

    Destination region the traffic will fail over to when endpoints in the 'from' region becomes unhealthy.

    .status

    Description
    LoadBalancerStatus defines the observed state of LoadBalancer
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/asm.alauda.io/v1beta1/namespaces/{namespace}/loadbalancers
      • DELETE: delete collection of LoadBalancer
      • GET: list objects of kind LoadBalancer
      • POST: create a new LoadBalancer
    • /apis/asm.alauda.io/v1beta1/namespaces/{namespace}/loadbalancers/{name}
      • DELETE: delete the specified LoadBalancer
      • GET: read the specified LoadBalancer
      • PATCH: partially update the specified LoadBalancer
      • PUT: replace the specified LoadBalancer
    • /apis/asm.alauda.io/v1beta1/namespaces/{namespace}/loadbalancers/{name}/status
      • GET: read status of the specified LoadBalancer
      • PATCH: partially update status of the specified LoadBalancer
      • PUT: replace status of the specified LoadBalancer

    /apis/asm.alauda.io/v1beta1/namespaces/{namespace}/loadbalancers

    HTTP method
    DELETE
    Description
    delete collection of LoadBalancer
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind LoadBalancer
    HTTP responses
    HTTP codeResponse body
    200 - OKLoadBalancerList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new LoadBalancer
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyLoadBalancer schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKLoadBalancer schema
    201 - CreatedLoadBalancer schema
    202 - AcceptedLoadBalancer schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1beta1/namespaces/{namespace}/loadbalancers/{name}

    HTTP method
    DELETE
    Description
    delete the specified LoadBalancer
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified LoadBalancer
    HTTP responses
    HTTP codeResponse body
    200 - OKLoadBalancer schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified LoadBalancer
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKLoadBalancer schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified LoadBalancer
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyLoadBalancer schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKLoadBalancer schema
    201 - CreatedLoadBalancer schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1beta1/namespaces/{namespace}/loadbalancers/{name}/status

    HTTP method
    GET
    Description
    read status of the specified LoadBalancer
    HTTP responses
    HTTP codeResponse body
    200 - OKLoadBalancer schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified LoadBalancer
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKLoadBalancer schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified LoadBalancer
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyLoadBalancer schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKLoadBalancer schema
    201 - CreatedLoadBalancer schema
    401 - UnauthorizedEmpty